Reveal Prospect
curl --request POST \
--url https://api.example.com/v1/prospector/reveal \
--header 'Content-Type: application/json' \
--data '
{
"member_id": "<string>",
"company_id": "<string>",
"document_id": "<string>"
}
'import requests
url = "https://api.example.com/v1/prospector/reveal"
payload = {
"member_id": "<string>",
"company_id": "<string>",
"document_id": "<string>"
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({member_id: '<string>', company_id: '<string>', document_id: '<string>'})
};
fetch('https://api.example.com/v1/prospector/reveal', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"member_id": "<string>",
"company_id": "<string>",
"document_id": "<string>",
"full_name": "<string>",
"email": "<string>",
"email_verified": true,
"phone": "<string>",
"linkedin_url": "<string>",
"job_title": "<string>",
"company": "<string>"
}
}Prospector
Reveal Prospect
Reveal email and phone for a single prospect found via search
POST
/
v1
/
prospector
/
reveal
Reveal Prospect
Request
Body Parameters
string
Member ID from search results (required unless
document_id provided)string
Company ID from search results (optional, improves accuracy)
string
Direct document ID (alternative to member_id + company_id)
Headers
Authorization: Bearer wbk_your_api_key_here
Content-Type: application/json
Response
object
curl -X POST https://data.leadlex.com/functions/v1/api-gateway/v1/prospector/reveal \
-H "Authorization: Bearer wbk_your_api_key_here" \
-H "Content-Type: application/json" \
-d '{ "member_id": "12345", "company_id": "67890" }'
import requests
API_KEY = "wbk_your_api_key_here"
BASE_URL = "https://data.leadlex.com/functions/v1/api-gateway"
headers = {"Authorization": f"Bearer {API_KEY}", "Content-Type": "application/json"}
response = requests.post(f"{BASE_URL}/v1/prospector/reveal", headers=headers, json={
"member_id": "12345", "company_id": "67890"
})
print(response.json())
const response = await fetch(
'https://data.leadlex.com/functions/v1/api-gateway/v1/prospector/reveal',
{
method: 'POST',
headers: { 'Authorization': 'Bearer wbk_your_api_key_here', 'Content-Type': 'application/json' },
body: JSON.stringify({ member_id: '12345', company_id: '67890' })
}
);
const { data } = await response.json();
Errors
| Status | Code | Description |
|---|---|---|
| 400 | validation_error | Missing member_id or document_id |
| 403 | insufficient_permissions | Missing prospects:read permission |
| 503 | service_unavailable | Enrichment service not configured |